## helma.objectmodel
Interface INodeState

All Known Subinterfaces:
  INode

All Known Implementing Classes:
  Node, NodeHandle, TransientNode

    public interface INodeState

Interface that defines states of nodes

Field Summary
`static int` `CLEAN`
`static int` `DELETED`
`static int` `INVALID`
`static int` `MODIFIED`
`static int` `NEW`
`static int` `TRANSIENT`
`static int` `VIRTUAL`

Field Detail

### TRANSIENT

    static final int TRANSIENT

See Also:
  Constant Field Values

### VIRTUAL

    static final int VIRTUAL

See Also:
  Constant Field Values

### INVALID

    static final int INVALID

See Also:
  Constant Field Values

### CLEAN

    static final int CLEAN

See Also:
  Constant Field Values

### NEW

    static final int NEW

See Also:
  Constant Field Values

### MODIFIED

    static final int MODIFIED

See Also:
  Constant Field Values

### DELETED

    static final int DELETED

See Also:
  Constant Field Values

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.